package com.syaroful.agrilinkvocpro.plant_disease_detection_feature.data.model

import kotlinx.serialization.Serializable

@Serializable
data class GeminiRequest(
    val contents: List<GeminiContent>
)

@Serializable
data class GeminiContent(
    val parts: List<GeminiPart>
)

@Serializable
data class GeminiPart(
    val text: String? = null,
    val inline_data: InlineData? = null
)

@Serializable
data class InlineData(
    val mime_type: String,
    val data: String
)
